<?php



class DepartamentosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.DepartamentosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('DEPARTAMENTOS');
		$tMap->setPhpName('Departamentos');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('CODDEPTO', 'Coddepto', 'string', CreoleTypes::VARCHAR, true, 20);

		$tMap->addColumn('DESDEPTO', 'Desdepto', 'string', CreoleTypes::VARCHAR, false, 150);

	} 
} 